Bug 484252 - Backport improved CalDAV support from Fedora 10
Backport improved CalDAV support from Fedora 10
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Milan Crha
desktop-bugs@redhat.com
:
Depends On: 484232
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 12:04 EST by Matthew Barnes
Modified: 2009-09-02 05:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 484232
Environment:
Last Closed: 2009-09-02 05:16:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Barnes 2009-02-05 12:04:35 EST
+++ This bug was initially created as a clone of Bug #484232 +++

Evolution's CalDAV support is greatly improved in Fedora 10, and I'd like to backport it for RHEL 5.4.  This would also obsolete the evolution-webcal package.

There are two parts to the CalDAV support:

  1) A backend for evolution-data-server.  This is where most of the meat is.

  2) A plugin for evolution, which provides the UI for configuring a CalDAV
     calendar (in the "New Calendar" dialog).

Among the benefits of doing this would be better support for our own corporate Zimbra calendars on the Corporate Standard Build.

This bug is for the evolution plugin.  It and bug #484232 are co-dependent.
Comment 2 Huzaifa S. Sidhpurwala 2009-04-16 04:09:30 EDT
This package does not work well.
It hangs badly when adding an appointment, but when updating any
appointments, or refreshing from the server, it works smoothly.
Comment 3 Milan Crha 2009-04-16 06:45:46 EDT
What server are you connecting to? I have configured three, one is DAViCal local installation, one on Google, one our company Zzzimbra calendar. The last is the slowest, but those two other are pretty quick (less than 2 seconds, approximately).
Comment 6 errata-xmlrpc 2009-09-02 05:16:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1260.html

Note You need to log in before you can comment on or make changes to this bug.